FLOPPY(8)

NAME
floppy - format floppy disks

SYNOPSIS
floppy [ --createrc >/etc/floppy | --format /dev/fdo | --format A: ] floppygtk

DESCRIPTION

The floppy utility does low-level formatting of floppy disks. floppy uses a simple interface for formatting disks in floppy controller drives and in ATAPI IDE floppy drives, such as LS-120 "Superdisk" drives. ATAPI IDE support requires a patch to the Linux kernel. Without a patched kernel floppy can only format disks in floppy controller drives.

    Note: Use caution in formatting anything other than standard 3.5" 1.4MB floppy disks in ATAPI IDE floppy drives. Most LS-120 drives, for example, accept a request to format 120MB high density disks, but most 120MB disks are not designed to be formatted. Low-level formatting will ruin them permanently.

floppygtk is a GTK interface to the floppy utility. If started from an X terminal window, floppy automatically runs floppygtk.

OPTIONS

--probe, -p
    Probe for available floppy drives. floppy creates and displays a list of all detected floppy drives.

--createrc, -r
    Print a configuration file. floppy prints on standard output the results of the --probe option in a configuration file format. This configuration file should be saved as /etc/floppy.

--showrc
    List floppy drives configured in /etc/floppy.

--capacity, -c
    Show the available format capacities of the floppy drive. Most floppy drives can format disks of different capacities. --capacity lists each available format capacity as CxBxS where: C - number of cylinders, B - blocks per cylinder, S - block size, in bytes. --capacity also calculates how much that is, in kilobytes ormegabytes.

--format, -f
    Format the disk in the floppy drive.

--size=CxBxS, -s=CxBxS
    Specify the size of the disk to format. --format uses the first format capacity reported by --capacity if the --size option is not specified.

--ext2
    Create an ext2 (Linux) filesystem on the formatted floppy. This option requires the e2fsprogs package to be installed. This option runs mke2fs after formatting the floppy disk.

--fat
    Create a FAT (DOS) filesystem on the formatted floppy. This option requires the dosfstools package to be installed. This option runs mkdosfs after formatting the floppy disk.

--noprompt, -n
    Suppress verbose output produced by --capacity and --format. Use a raw output format that can be used by a front-end wrapper that runs floppy on the back-end.

--eject
    Eject the floppy from the drive (IDE floppy drives with an electronic eject mechanism).

  PROBING FOR AVAILABLE FLOPPY DRIVES

floppy --probe

This command probes the hardware and reports on the available floppy drives. A typical output from --probe would be:

floppy 0.16 Copyright 2001-2003, Double Precision, Inc.
floppy    /dev/fd0: 3.5" HD
idefloppy /dev/hda: LS-120 VER5 00 UHD Floppy
  Revision: F523M5A9
  Serial number: 9803M9A03464

Here, floppy detected a high density floppy drive on /dev/fd0, and an IDE floppy drive on /dev/hda.

  CREATING A CONFIGURATION FILE

A configuration file, /etc/floppy must be created before floppy can format floppy disks. This configuration file can be created automatically by the --createrc option. Each line in the configuration file contains the following information: type<TAB>label<TAB>device. "<TAB>" is a single ASCII TAB character. "device" is the device entry for the floppy drive. floppy requires that all requests for formatting floppies must use only the devices that appear in this configuration file. "label" is an alias for this device. floppy accepts "label:" instead of the actual device entry, for example: "floppy --format A:". "type" is either "floppy" or "idefloppy".

The --createrc option sets "A" as the label for the first floppy drive, and "B" for the second floppy drive. If --createrc finds more than two floppy drives, --createrc will use "FA", "FB", "FC", and so on.

  DETERMINING AVAILABLE FORMAT CAPACITIES

Most floppy drives can format disks of different capacities. The --capacity option shows possible format capacities on the specified floppy device. A typical IDE floppy drive may report the following capacities:

$ floppy --capacity B:
Formattable capacities for /dev/hda:
  80x36x512       (1.40 Mb)
  80x30x512       (1.17 Mb)
  56x22x1024      (1.20 Mb)

A standard floppy drive attached to the floppy controller may report the following capacities:

$ floppy --capacity A:
Formattable capacities for /dev/fd0:
  80x36x512       (/dev/fd0H1440, 1.40 Mb)
  80x18x512       (/dev/fd0D720, 720 Kb)
  80x48x512       (/dev/fd0u1920, 1.87 Mb)
  80x28x512       (/dev/fd0u1120, 1.09 Mb)
  80x40x512       (/dev/fd0u1660, 1.56 Mb)
  80x26x512       (/dev/fd0u1040, 1.01 Mb)
  80x46x512       (/dev/fd0u1840, 1.79 Mb)
  80x42x512       (/dev/fd0u1680, 1.64 Mb)

The --capacity option reports each available format capacity as "cylinders x blocks-per-cylinder x block size". IDE floppy drive only return a total block count, and --capacity tries some common blocks-per-cylinder geometries, until it finds one that fits. Format capacities of standard floppy drives are obtained from the floppy device driver.

    Note:

    IDE floppy drives may report format capacities only after a disk is inserted. Without a floppy disk, IDE floppy drives may not report any available format capacities, or they may report the primary format capacity that they are designed to format. For example, most LS-120 drives default to reporting 120mb when there is no disk inserted in the drive:

    $ floppy --capacity A:
    Formattable capacities for /dev/hda:
      6848x36x512     (120.37 Mb)

    Warning: Do not attempt to format 120Mb media in LS-120 drives. Most LS-120 disks are not user-formattable. They are factory-formatted, and attempts to format them in LS-120 drives will render them unusable (to be sure, check the label on the floppy itself). The floppy utility does not prevent one from trying to use any format capacity the IDE floppy drive claims to support. If the drive claims it can format a disk of the given capacity, floppy will oblige.

  FORMATTING

The --format option does a low-level format on the floppy.

$ ./floppy --format --size=80x36x512 A:
Formatting 1.40 Mb...   0%

--size must specify a geometry returned by --capacity. If --size is absent, the first geometry is selected.

For floppy controller drives, the status counter will go from 0% to 100%. With most IDE floppy drives the counter will remain at 0% until the format finishes. Some IDE floppy drives are capable of reporting format progress status, which will would allow --format to count up from 0% to 100%.

$ ./floppy --format --verify A:

The --verify option verifies the low-level format. For floppy controller drives, the floppy disk is read from start to finish, after the low-level format concludes. For IDE floppy drives, the format request to the drive sets a flag that that requests low-level format verification.

    Note: Some IDE floppy drives ignore the verify request, or always verify low-level formats, whether or not it was requested.

$ ./floppy --format -V A:

The -V option is like --verify except that IDE floppy drive formats are verified manually - like floppy controller drive formats - by reading the floppy disk from start to finish.

FILES

/etc/floppy
    The configuration file.

/dev/fd[0-7]
    Floppy controller drives.

/dev/hd[a-h]
    ATAPI IDE floppy drives.

SEE ALSO

fd(4), mkdosfs(8), mke2fs(8).